GNU Radio 2.x: swigpy Namespace Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# swigpy Namespace Reference

## Compounds
struct | noconst_traits
struct | noconst_traits< const Type >
struct | pointer_category
struct | PyObject_var
struct | PySequence_ArrowProxy
struct | PySequence_Cont
struct | PySequence_Iter
struct | PySequence_Ref
struct | traits
struct | traits< char >
struct | traits< double >
struct | traits< float >
struct | traits< gr_block_sptr >
struct | traits< int >
struct | traits< short >
struct | traits< std.complex< float > >
struct | traits< std.vector< char > >
struct | traits< std.vector< double > >
struct | traits< std.vector< float > >
struct | traits< std.vector< gr_block_sptr > >
struct | traits< std.vector< int > >
struct | traits< std.vector< short > >
struct | traits< std.vector< std.complex< float > > >
struct | traits< std.vector< unsigned char > >
struct | traits< Type * >
struct | traits< unsigned char >
struct | traits_as
struct | traits_as< Type *, pointer_category >
struct | traits_as< Type, pointer_category >
struct | traits_as< Type, value_category >
struct | traits_asptr
struct | traits_asptr< std.vector< T > >
struct | traits_asptr_stdseq
struct | traits_asval
struct | traits_asval< char >
struct | traits_asval< double >
struct | traits_asval< float >
struct | traits_asval< int >
struct | traits_asval< short >
struct | traits_asval< std.complex< float > >
struct | traits_asval< Type * >
struct | traits_asval< unsigned char >
struct | traits_check
struct | traits_check< Type, pointer_category >
struct | traits_check< Type, value_category >
struct | traits_from
struct | traits_from< char >
struct | traits_from< double >
struct | traits_from< float >
struct | traits_from< int >
struct | traits_from< short >
struct | traits_from< std.complex< float > >
struct | traits_from< std.vector< T > >
struct | traits_from< Type * >
struct | traits_from< unsigned char >
struct | traits_from_ptr
struct | traits_from_stdseq
struct | traits_info
struct | value_category
## Functions
template<class Type> const char * | type_name ()
template<class Type> swig_type_info * | type_info ()
template<class Type> PyObject * | from (const Type &val)
template<class Type> PyObject * | from_ptr (Type *val, int owner)
template<class Type> int | asptr (PyObject *obj, Type **vptr)
template<class Type> bool | asval (PyObject *obj, Type *val)
template<class Type> Type | as (PyObject *obj, bool te=false)
template<class Type> bool | check (PyObject *obj)
size_t | check_index (ptrdiff_t i, size_t size)
size_t | slice_index (ptrdiff_t i, size_t size)
template<class Sequence, class Difference> Sequence::iterator | getpos (Sequence *self, Difference i)
template<class Sequence, class Difference> Sequence::const_iterator | cgetpos (const Sequence *self, Difference i)
template<class Sequence, class Difference> Sequence * | getslice (const Sequence *self, Difference i, Difference j)
template<class Sequence, class Difference, class InputSeq> void | setslice (Sequence *self, Difference i, Difference j, const InputSeq &v)
template<class Sequence, class Difference> void | delslice (Sequence *self, Difference i, Difference j)
template<class PySeq, class Seq> void | assign (const PySeq &pyseq, Seq *seq)

## Function Documentation

template<class Type>
Type as | ( | PyObject * | obj,
|  | bool | te = false
| ) | `[inline]`

template<class Type>
int asptr | ( | PyObject * | obj,
|  | Type ** | vptr
| ) | `[inline]`

template<class PySeq, class Seq>
void assign | ( | const PySeq & | pyseq,
|  | Seq * | seq
| ) | `[inline]`

template<class Type>
bool asval | ( | PyObject * | obj,
|  | Type * | val
| ) | `[inline]`

template<class Sequence, class Difference>
Sequence::const_iterator cgetpos | ( | const Sequence * | self,
|  | Difference | i
| ) | `[inline]`

template<class Type>
bool check | ( | PyObject * | obj | ) | `[inline]`

size_t check_index | ( | ptrdiff_t | i,
|  | size_t | size
| ) | `[inline]`

template<class Sequence, class Difference>
void delslice | ( | Sequence * | self,
|  | Difference | i,
|  | Difference | j
| ) | `[inline]`

template<class Type>
PyObject* from | ( | const Type & | val | ) | `[inline]`

template<class Type>
PyObject* from_ptr | ( | Type * | val,
|  | int | owner
| ) | `[inline]`

template<class Sequence, class Difference>
Sequence::iterator getpos | ( | Sequence * | self,
|  | Difference | i
| ) | `[inline]`

template<class Sequence, class Difference>
Sequence* getslice | ( | const Sequence * | self,
|  | Difference | i,
|  | Difference | j
| ) | `[inline]`

template<class Sequence, class Difference, class InputSeq>
void setslice | ( | Sequence * | self,
|  | Difference | i,
|  | Difference | j,
|  | const InputSeq & | v
| ) | `[inline]`

size_t slice_index | ( | ptrdiff_t | i,
|  | size_t | size
| ) | `[inline]`

template<class Type>
swig_type_info* type_info | ( |  | ) | `[inline]`

template<class Type>
const char* type_name | ( |  | ) | `[inline]`